<?php

namespace Modules\Storage;

use Illuminate\Support\Facades\Artisan;

class Storage
{

    protected static string $mainTitle = '文件管理';

    /**
     * Notes   : 模块初始化要做的一些操作
     * @Date   : 2021/3/12 11:34 上午
     * @Author : < Jason.C >
     */
    public static function install()
    {
        Artisan::call('migrate', [
            '--path' => 'modules/Storage/Database/Migrations',
        ]);
    }

    /**
     * Notes   : 卸载模块的一些操作
     * @Date   : 2021/3/12 11:35 上午
     * @Author : < Jason.C >
     */
    public static function uninstall()
    {

    }

}
